XADMIN(1)

NAME
xadmin - utility program to help configure the X window system

SYNOPSIS
xadmin -memsize | -membytes | -keygen | -vdutype | -vdustring | -config [author [configuration-file]] | [-keyfile | -author | -host | -displayid | -once] [configuration-file]

DESCRIPTION
Xadmin is designed for use within scripts which start Xarm(1) to allow the arguments to made appropriate for the screen type and physical memory size of the machine. Normally xadmin is run from /etc/rc.X as part of the transition from single-user to multi-user state. This allows /etc/rc.X to produce a suitable /etc/xdm/Xconfig file - see Xstart(1) for more details.

OPTIONS

-memsize
    Print the size of the physical memory in Mbytes on standard output. Currently the output value will be 4, 8, 12 or 16 Mbytes.

-membytes
    Print the size of the physical memory in bytes on standard output.

-keygen
    Output a random 8 byte (64 bit) key in hexadecimal notation. The key is suitable for use in the /etc/xdm/Xkeys authentication key file (or, indeed, anywhere where a totally random key is needed).

-vdutype
    Print the vdu type configured into the cmos ram on standard output. Currently this is a number in the range 0 to 4. If the information cannot be obtained -1 will be output.

-vdustring
    Out a string suitable for inclusion in the /etc/xdm/Xconfig file which gives the value of the vdu type. The string has the form VDU-TYPE number. If the vdu type cannot be found no output will be produced.

-config
    Check the /etc/xdm/Xconfig file to see if it can be overwritten. xadmin will exit with a non-zero exit status (false) if the file exists and there is no AUTHOR string in the file or the author is not /etc/rc.X. Up to two arguments may be provided. The first is the author string to check for, the second is the name of the file to check. xadmin will also exit with a non-zero exit status (and an error message) if the configuration file is badly formatted. This option can be used in place of the default test in /etc/rc.X against the AUTHOR keyword to force /etc/rc.X to recreate /etc/xdm/Xconfig if it does not exist.

The remaining keywords take an optional single argument - the name of the configuration file. If this is not supplied the file /etc/xdm/Xconfig is read if it exists. Each of the keywords outputs one particular piece of information from the configuration file.

-keyfile
    Output the name of the authentication key file which the server will use. If NOAUTHENTICATION is specified in the configuration file (see Xstart(1)) xadmin will print nothing.

-author
    The name of the author of the configuration file (as specified by the last AUTHOR keyword in the file) is output. If there is no AUTHOR keyword or the configuration file does not exist nothing is output. This keyword is used in /etc/rc.X to test to see whether /etc/xdm/Xconfig can be overwritten - see Xstart(1) for more details.

-host
    The name of the host machine which will be contacted using XDMCP when the server is run is printed on standard output. This defaults to loopback. This is the name of the machine on which xdm(1) is expected to run.

-displayid
    Output the display id of the X server which will run on this machine. The configuration file is read to find information about the machine serial number (if any) which will be passed to the X server. For this reason this option should only be used after the correct configuration file has been generated. If the configuration file is badly formatted xadmin will exit with a non-zero exit status.

-once
    Xadmin succeeds (exits with a 0 return code) if the server will be run with the -once argument to cause it to exit at the end of the first session. Xadmin checks for the MULTIPLE-SESSION keyword in the configuration file - it does not check for -once in the server arguments specified in the command file, so if MULTIPLE-SESSION is given and -once is specified within the server arguments the xadmin command will still fail.

USAGE

For examples of how to use xadmin look at the file /etc/rc.X.

NOTES

When using the -displayid option the server arguments are examined for the keywords -class (specifying the display class) -displayID (specifying the full display id) -serialNo (specifying the serial number of the machine). Because the xadmin program does not have a complete knowledge of all the server arguments, if these keywords appear by chance as the parameter to another server keyword xadmin will still recognise them and thus generate an incorrect display id.

SEE ALSO
Xstart(1) RISC iX X Window System Administrator's Guide

COPYRIGHT
Copyright (c) 1990, Acorn Computers Ltd.

AUTHOR
John Bowler, Acorn Computers Ltd.